Subject: bug#26586: 25.1; header-line-format spins cpu

From: Eli Zaretskii <[email-masked]>
Date: Fri, 21 Apr 2017 20:31:54 +0300

> From: Aaron Jensen <[email-masked]>
> Date: Fri, 21 Apr 2017 08:34:21 -0700
> Cc: [email-masked]
> 
> On Fri, Apr 21, 2017 at 7:51 AM, Eli Zaretskii <[email-masked]> wrote:
> >> So, I'm guessing that org-sticky-header needs to escape or remove
> >> elisp links before turning org headlines into a header?
> >
> > Yes, definitely.
> 
> Thanks. Maybe the author knows how, but for my benefit, how would I
> escape %'s in a propertized string while maintaining properties?

You need to replace % with %%, and then put the property on the
result.  Or make the replacement string have the property.  I think.